--- a/src/ActionClasses.cpp
+++ b/src/ActionClasses.cpp
@@ -275,7 +275,7 @@ void SelectAction::setCurrentItem( int n
     m_function( n );
     KSelectAction::setCurrentItem( n );
     AmarokConfig::self()->save(); //So we don't lose the setting when crashing
-    if( announce ) Q_EMIT triggered( n );
+    if( announce ) Q_EMIT indexTriggered( n );
 }
 
 void SelectAction::actionTriggered( QAction *a )
--- a/src/browsers/CollectionSortFilterProxyModel.cpp
+++ b/src/browsers/CollectionSortFilterProxyModel.cpp
@@ -67,7 +67,7 @@ CollectionSortFilterProxyModel::filterAc
         QModelIndex index = sourceModel()->index( source_row, 0, source_parent );
         if( treeItem( index )->isAlbumItem() )
         {
-            bool yearLoaded = index.data( PrettyTreeRoles::YearRole ) >= 0;
+            bool yearLoaded = index.data( PrettyTreeRoles::YearRole ).toInt() >= 0;
             return yearLoaded && stringAccepted;
         }
     }
--- a/src/dialogs/OrganizeCollectionDialog.cpp
+++ b/src/dialogs/OrganizeCollectionDialog.cpp
@@ -350,7 +350,7 @@ OrganizeCollectionDialog::previewNextBat
         QTableWidgetItem *item = new QTableWidgetItem( newPath );
         if( QFileInfo( m_previewPrefix + newPath ).exists() )
         {
-            item->setBackgroundColor( negativePalette.color( QPalette::Base ) );
+            item->setBackground( negativePalette.base() );
             m_conflict = true;
         }
         ui->previewTableWidget->setItem( newRow, 0, item );
--- a/src/scripting/scriptengine/qtbindings/CoreUrl.cpp
+++ b/src/scripting/scriptengine/qtbindings/CoreUrl.cpp
@@ -235,11 +235,6 @@ QString Url::toLocalFile() const
     return QUrl::toLocalFile();
 }
 
-QString Url::topLevelDomain(QUrl::ComponentFormattingOptions options) const
-{
-    return QUrl::topLevelDomain(options);
-}
-
 QString Url::toString(QUrl::FormattingOptions options) const
 {
     return QUrl::toString(options);
--- a/src/scripting/scriptengine/qtbindings/CoreUrl.h
+++ b/src/scripting/scriptengine/qtbindings/CoreUrl.h
@@ -90,7 +90,6 @@ namespace QtBindings
             QString toDisplayString(FormattingOptions options = FormattingOptions(PrettyDecoded)) const;
             QByteArray toEncoded(FormattingOptions options = FullyEncoded) const;
             QString toLocalFile() const;
-            QString topLevelDomain(ComponentFormattingOptions options = FullyDecoded) const;
             QString toString(FormattingOptions options = FormattingOptions(PrettyDecoded)) const;
             QString url(FormattingOptions options = FormattingOptions(PrettyDecoded)) const;
             QString userInfo(ComponentFormattingOptions options = PrettyDecoded) const;
